Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Create new electric cable connection

Prev Next
Post
/el_cable_connections/

Operation is used to create new electric cable connection. Available from product version 3.2.2.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Body parameters

Electric Cable Connection to be created

object
cable
integer Required

Electric Cable id

direction
string Required

which end of the electric cable is object connected

Valid values[ "B", "E", "T" ]
manhole
integer

Electric Manhole id

pole
integer

Electric Pole id

premise
integer

Electric Premises id

splice
integer

Electric Splice id

streetlight
integer

Streetlight id

Responses
201

A created Electric Cable Connection

{
  "cable": 70490,
  "direction": "E",
  "id": 2601,
  "manhole": null,
  "pole": null,
  "premise": 108081,
  "splice": null,
  "streetlight": null
}
object
cable
integer

Electric Cable id

direction
string

which end of the electric cable is object connected

Valid values[ "B", "E", "T" ]
id
integer

Primary key

manhole
integer

Electric Manhole id

pole
integer

Electric Pole id

premise
integer

Electric Premises id

splice
integer

Electric Splice id

streetlight
integer

Streetlight id

400

There was an error in request. Usually field validation failed.

{
  "cable": [
    "This field is required."
  ],
  "direction": [
    "This field is required."
  ],
  "non_field_errors": [
    "Any one of ('streetlight', 'premise', 'splice', 'manhole', 'pole') is required."
  ]
}
object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error